{% include "header" %}
{% include "course_version_outdated_alert", courses: courses.in_catalog %}
{% include "sub_navigation" %}
<main class="np-main np-catalog np-subpage-container np-max-width">
  <div class="np-catalog-header-wrapper">
    <div class="np-catalog-header">
      <div class="np-resource-title">{{ catalog.headline }}</div>
      <div class="np-resource-subtitle">{{ catalog.subheadline }}</div>
    </div>
    {% comment %} {% capture label %}{% t shared.filters.by_progress %}{% endcapture %} {% endcomment %}

    <div class="catalog-filters">
      {% if courses.in_catalog.any? %}
        {%
          include "filter_dropdown",
          filters: courses.filters,
          key: "category_uuid",
          label: "By Topic"
        %}
        {% 
          include "filter_by_progress", 
          label: "", 
          default_option: "Progress", 
          topic: "",
          filter_type: "filter-cards" 
        %}
      {% endif %}
    </div>
  </div>
  {% include "courses_catalog" %}
</main>
{% include "footer" %}

<script>
  // Creates the custom dropdown and dropdown functionality
  var x, i, j, l, ll, selElmnt, a, b, c;
  /* Look for any elements with the class “select-wrapper”: */
  x = document.getElementsByClassName("progress-filter");
  l = x.length;
  for (i = 0; i < l; i++) {
    selElmnt = x[i].getElementsByTagName("select")[0];
    ll = selElmnt.length;
    /* For each element, create a new DIV that will act as the selected item: */
    a = document.createElement("DIV");
    a.setAttribute("class", "select-selected");
    a.innerHTML = selElmnt.options[selElmnt.selectedIndex].innerHTML;
    x[i].appendChild(a);
    /* For each element, create a new DIV that will contain the option list: */
    b = document.createElement("DIV");
    b.setAttribute("class", "select-items select-hide");
    for (j = 1; j < ll; j++) {
      /* For each option in the original select element,
      create a new DIV that will act as an option item: */
      c = document.createElement("DIV");
      c.innerHTML = selElmnt.options[j].innerHTML;
      c.addEventListener("click", function(e) {
          /* When an item is clicked, update the original select box,
          and the selected item: */
          var y, i, k, s, h, sl, yl;
          s = this.parentNode.parentNode.getElementsByTagName("select")[0];
          sl = s.length;
          h = this.parentNode.previousSibling;
          for (i = 0; i < sl; i++) {
            if (s.options[i].innerHTML == this.innerHTML) {
              s.selectedIndex = i;
              h.innerHTML = this.innerHTML;
              y = this.parentNode.getElementsByClassName("same-as-selected");
              yl = y.length;
              for (k = 0; k < yl; k++) {
                y[k].removeAttribute("class");
              }
              this.setAttribute("class", "same-as-selected");
              break;
            }
          }
            filterCourse();
   
          h.click();
      });
      b.appendChild(c);
    }
    x[i].appendChild(b);
    a.addEventListener("click", function(e) {
      /* When the select box is clicked, close any other select boxes,
      and open/close the current select box: */
      e.stopPropagation();
      closeAllSelect(this);
      this.nextSibling.classList.toggle("select-hide");
      this.classList.toggle("select-arrow-active");
    });
  }

  function closeAllSelect(elmnt) {
    /* A function that will close all select boxes in the document,
    except the current select box: */
    var x, y, i, xl, yl, arrNo = [];
    x = document.getElementsByClassName("select-items");
    y = document.getElementsByClassName("select-selected");
    xl = x.length;
    yl = y.length;
    for (i = 0; i < yl; i++) {
      if (elmnt == y[i]) {
        arrNo.push(i)
      } else {
        y[i].classList.remove("select-arrow-active");
      }
    }
    for (i = 0; i < xl; i++) {
      if (arrNo.indexOf(i)) {
        x[i].classList.add("select-hide");
      }
    }
  }

  /* If the user clicks anywhere outside the select box, then close all select boxes: */
  document.addEventListener("click", closeAllSelect);
  $(".select-items div").each(function() {
    if($( this ).text() == $(".select-selected").text()) {
      $(this).addClass("same-as-selected");
    }
  });

  function filterCourse() {

    let filterOptions = document.getElementsByClassName('select-selected')[0];
    let courseCards = $('#filterProgress').children();

    switch(filterOptions.innerText) {
      case "All Courses":
        courseCards.each(function (i) {
          $(this).show();
     
        });
        break;
      case "Not Started":
        courseCards.each(function (i) {
          if (!$(this).hasClass("not-started")) {
              $(this).hide();
          } else {
            $(this).show();
          }
        });
        break;
      case "In Progress":
        courseCards.each(function (i) {
          if (!$(this).hasClass("in-progress")) {
              $(this).hide();
          } else {
            $(this).show();
          }
        });
        break;
      case "Completed":
        courseCards.each(function (i) {
          if (!$(this).hasClass("completed")) {
            $(this).hide();
          } else {
            $(this).show();
          }
        });
        break;
      default:
    }
  }
</script>
